
/**
 * Implementation of an empty statement
 *
 * @author Kuba Madej
 *
 */
public class EmptyStatement implements Statement {
	/**
	 * Single instance of this statement
	 */
	private static final EmptyStatement instance = new EmptyStatement();

	/**
	 * Gets the only instance of this statement
	 *
	 * @return instance of this statement
	 */
	public static Statement getInstance() {
		return instance;
	}

	/**
	 * Private constructor to prevent instantiation of this statement
	 *
	 */
	private EmptyStatement() {
	}

	/**
	 *
	 * @see Statement#execute()
	 */
	public void execute() {
	}

}
